#
# spec file for package yast2-audit-laf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-audit-laf
Version:        5.0.0
Release:        1.8
Summary:        YaST2 - Configuration of Linux Auditing (LAF)
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-audit-laf
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-testsuite
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.22
Requires:       yast2-ruby-bindings >= 1.0.0
Supplements:    autoyast(audit-laf)
BuildArch:      noarch

%description
This module allows the configuration of the audit daemon as well as to
add rules for the audit subsystem.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%license COPYING
%{yast_schemadir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Thu Mar  3 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Set the name of the auto client in the desktop file
  (bsc#1196590).
- 4.4.2
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Tue Aug 11 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(audit-laf) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.1
* Thu May  7 2020 Josef Reidinger <jreidinger@suse.com>
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue Dec 11 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- 4.1.1
* Fri Nov 23 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.5
* Wed Nov 18 2015 mvidner@suse.com
- Fix validation of AutoYaST profiles (bsc#954412)
- 3.1.4
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.3
* Tue Jul 22 2014 gs@suse.de
- Mark popup text correctly for translation
  (bnc #887524)
- 3.1.2
* Wed Jun 25 2014 gs@suse.de
- Adapt start of audit daemon to systemd
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Oct 17 2012 gs@suse.de
- Check for package 'audit' and install if required (bnc #773701)
- 2.24.0
* Tue Apr 24 2012 ug@suse.de
- fixed desktop file for autoyast
- 2.22.2
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
- 2.22.1
* Wed Dec 21 2011 gs@suse.de
- Confirmed license
- 2.22.0
* Wed Oct 26 2011 gs@suse.de
- Fixed typos in help text (bnc #702654)
- 2.21.2
* Tue Oct  4 2011 cfarrell@suse.com
- license update: GPL-2.0
  bnc#719219
* Wed Sep 28 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Fri Sep 16 2011 visnov@suse.de
- remove unneeded import
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Mar 22 2010 gs@suse.de
- Bug-fix for typo in error message (bnc #574663)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu Nov  5 2009 gs@suse.de
- Bug-fix for typo in help text (bnc #532137)
* Fri Aug 21 2009 gs@suse.de
- Use 'YaST' instead of 'YaST2' in messages and text (bnc #532518)
- Bug-fix for errors in help text (bnc #531588)
- 2.18.5
* Wed Aug 12 2009 gs@suse.de
- Bug-fix for typo in help text (bnc #528646)
* Tue Aug  4 2009 gs@suse.de
- Add missing paragraph tag to the help text (bnc #527803)
- Add X-SuSE-YaST-Keywords to desktop file
- 2.18.4
* Thu Jul  2 2009 gs@suse.de
- Add information about all option settings to the help text
  (bnc #510776),
- Add command line support for settings in /etc/audit/auditd.conf
- 2.18.3
* Wed Jun 10 2009 gs@suse.de
- Add information about action 'SYSLOG' to the 'Disk Space' help
  (bnc #510775)
* Thu Mar 12 2009 gs@suse.de
- Set LANG=POSIX for command 'auditctl'
- 2.18.2
* Mon Feb  2 2009 gs@suse.de
- Correct behaviour on "Abort" (bnc #458327)
- 2.18.1
* Wed Jan 21 2009 gs@suse.de
- Localize message "Success" (bnc #447169)
- 2.18.0
* Thu Nov 13 2008 gs@suse.de
- audit-laf.rnc added (for AutoYaST)
- 2.17.7
* Tue Nov  4 2008 gs@suse.de
- Additional checks added (audit daemon really running,
  correct script specified for option EXEC)
- 2.17.6
* Tue Oct 28 2008 gs@suse.de
- Allow to enter any log file name (replace AskForExistingFile
  by AskForSaveFileName)
- Add input fields to specify a script (for option EXEC)
- Better arrangement of some input fields
- Enable input field for user defined name only if computer name
  format is set to USER, check for empty computer name
- internal change: replace list of option values by string value
- 2.17.5
* Tue Oct  7 2008 gs@suse.de
- Fixed typos and grammatical errors (bnc #432378, bcn #415719)
- Additional checks added, reset rules if user aborts the
  configuration
- 2.17.4
* Wed Oct  1 2008 gs@suse.de
- Basic command line support, fixed typos in help text
  (bnc #430521), add Summary() for AutoYaST
- 2.17.3
* Wed Sep 24 2008 gs@suse.de
- fixed typos, improved help text, set title icon,
  prepare for AutoYaST
- 2.17.2
* Wed Sep 10 2008 gs@suse.de
- @scrconfdir@ added in spec file
- 2.17.1
* Tue Sep  2 2008 gs@suse.de
- Initial version
- Allows to set the configuration for the audit daemon
  (auditd.conf), to enable/disable the syscall auditing
  and to add rules for the audit subsystem (auditctl)
- 2.17.0
